Bug 196073 - lsof causes kernel NULL pointer dereference at virtual address 000001b0
lsof causes kernel NULL pointer dereference at virtual address 000001b0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-20 16:17 EDT by Marius Hjelle
Modified: 2015-01-04 17:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 17:50:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Hjelle 2006-06-20 16:17:49 EDT
Description of problem:
lsof kernel NULL pointer dereference at virtual address 000001b0
- Cron job polls lsof (part of systemgraph http://www.decagon.de/sw/systemgraph/)

Version-Release number of selected component (if applicable):
lsof-4.77-1
kernel-smp-2.6.16-1.2133_FC5
systemgraph-0.7

How reproducible:
Only once 

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
extract from /var/log/messages
***
Jun 20 21:25:03 ludo kernel: Unable to handle kernel NULL pointer dereference at
virtual address 000001b0
Jun 20 21:25:03 ludo kernel:  printing eip:
Jun 20 21:25:03 ludo kernel: c019210b
Jun 20 21:25:03 ludo kernel: *pde = 05f87001
Jun 20 21:25:03 ludo kernel: Oops: 0000 [#1]
Jun 20 21:25:03 ludo kernel: SMP 
Jun 20 21:25:03 ludo kernel: last sysfs file:
/devices/platform/i2c-9191/9191-6000/temp3_max
Jun 20 21:25:03 ludo kernel: Modules linked in: xt_limit ipt_REJECT xt_tcpudp
xt_state ip_conntrack nfnetlink iptable_filter ip_tables x_tables eeprom
 dm_mirror dm_mod video button battery ac lp floppy nvram 3c59x mii via686a
hwmon i2c_isa i2c_viapro i2c_core parport_pc parport ext3 jbd
Jun 20 21:25:03 ludo kernel: CPU:    1
Jun 20 21:25:03 ludo kernel: EIP:    0060:[<c019210b>]    Not tainted VLI
Jun 20 21:25:03 ludo kernel: EFLAGS: 00010246   (2.6.16-1.2133_FC5smp #1) 
Jun 20 21:25:03 ludo kernel: EIP is at show_map_internal+0x8d/0x21f
Jun 20 21:25:03 ludo kernel: eax: 0027d000   ebx: cc68c9c0   ecx: 00000000  
edx: 00000000
Jun 20 21:25:03 ludo kernel: esi: 00100073   edi: 00000070   ebp: c548e120  
esp: c6e03f14
Jun 20 21:25:03 ludo kernel: ds: 007b   es: 007b   ss: 0068
Jun 20 21:25:03 ludo kernel: Process lsof (pid: 20718, threadinfo=c6e03000
task=c1739950)
Jun 20 21:25:03 ludo kernel: Stack: <0>00000000 0000012f 00000078 c17348f0
d69d51c0 d6f20c20 000233b1 00300007 
Jun 20 21:25:03 ludo kernel:        c01924ea c0367260 cc68c9c0 c548e120 00000400
c0180980 b7f68000 c1555c00 
Jun 20 21:25:03 ludo kernel:        0000031a 00000000 00000000 cc68c9e0 0000000c
00000000 0000000b 00000000 
Jun 20 21:25:03 ludo kernel: Call Trace:
Jun 20 21:25:03 ludo kernel:  [<c01924ea>] m_next+0x12/0x44     [<c0180980>]
seq_read+0x1b2/0x292
Jun 20 21:25:03 ludo kernel:  [<c01807ce>] seq_read+0x0/0x292     [<c01642c5>]
vfs_read+0x9f/0x13e
Jun 20 21:25:03 ludo kernel:  [<c0164711>] sys_read+0x3c/0x63     [<c0103db9>]
syscall_call+0x7/0xb
Jun 20 21:25:03 ludo kernel: Code: 04 89 f0 83 e0 80 3c 01 19 ff 83 e7 fd 83 c7
73 f7 c6 04 00 00 00 75 1b 83 3d 30 51 45 c0 00 75 1c 8b 44 24 0c 8b 5
0 78 8b 45 04 <3b> 82 b0 01 00 00 73 0a c7 44 24 08 78 00 00 00 eb 08 c7 44 24
***
Comment 1 Dave Jones 2006-10-16 20:03:36 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Dave Jones 2006-11-24 17:50:59 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.